LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::gallery::GalleryItemType Constant Group Reference

Constants that describe the type of graphic. More...

## Variables
const byte | EMPTY = 0
| Item is empty. More...
const byte | GRAPHIC = 1
| Item represents a graphic. More...
const byte | MEDIA = 2
| Item represents a media file. More...
const byte | DRAWING = 3
| Item represents a drawing. More...

## Detailed Description

Constants that describe the type of graphic.

## Variable Documentation

## ◆ DRAWING

const byte DRAWING = 3

Item represents a drawing.

## ◆ EMPTY

const byte EMPTY = 0

Item is empty.

## ◆ GRAPHIC

const byte GRAPHIC = 1

Item represents a graphic.

## ◆ MEDIA

const byte MEDIA = 2

Item represents a media file.